Bug 1261027 - (TEIID-3686) OData DELETE nonexisting row - wrong response code
OData DELETE nonexisting row - wrong response code
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jolee
Filip Elias
: QA-Closed
Depends On:
Blocks: 1242071
  Show dependency treegraph
 
Reported: 2015-09-08 08:55 EDT by Michal Sanitrak
Modified: 2016-08-01 08:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1266539 (view as bug list)
Environment:
Last Closed: 2016-02-10 03:53:30 EST
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3686 Major Closed OData DELETE nonexisting row - wrong response code 2016-08-18 03:54 EDT

  None (edit)
Description Michal Sanitrak 2015-09-08 08:55:04 EDT
Describe the issue: 
I deployed VDB that can be accessed with OData. When I perform DELETE request to remove row for first time response code is 200 OK (maybe it should be 204) but when I repeat the same DELETE request and tried to delete already deleted entry, response is again 200 OK, but it should be 404 Not Found. Same thing happens even I when tried to delete entry with id that doesn't exist at all.

More info in Jira TEIID-3686
Comment 1 JBoss JIRA Server 2015-09-08 12:27:57 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3686 to Resolved
Comment 2 jolee 2015-09-30 11:49:09 EDT
git@github.com:jboss-integration/teiid.git : 8.7.x-prod-ipv6.2 : 9e5e783

git@github.com:teiid/teiid.git : 62-8.7.x : 9e5e783
Comment 3 JBoss JIRA Server 2016-01-27 16:25:02 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3686 to Closed
Comment 4 JBoss JIRA Server 2016-06-20 08:14:25 EDT
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIID-3686 to Reopened
Comment 5 JBoss JIRA Server 2016-06-22 17:35:30 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3686 to Resolved
Comment 6 JBoss JIRA Server 2016-08-01 08:54:46 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3686 to Closed

Note You need to log in before you can comment on or make changes to this bug.